CREATE OR ALTER procedure WAS_PODYS_PROC (
    V_IDR integer,
    V_ID_FYSMANUAL integer,
    V_IDSTAT integer,
    V_PRT integer,
    V_MKL char(6),
    V_ZAP_DATE date)
returns (
    IS_POD smallint)
as
begin
  IS_POD = 0;
  if (exists(select *
             from STATTALON S
             inner join USL_OD U on S.ID_STATTALON = U.ID_STATTALON and
                   U.K_USL_MZ not in (select T1.KOD_US_MZ
                                      from FUSL_DOROG T1
                                      where :V_ZAP_DATE >= T1.D_NA and
                                            (:V_ZAP_DATE <= T1.D_KO or T1.D_KO is null)) and
                   U.K_USL_MZ in (select T2.KOD_US_MZ
                                  from FUSL_DOROG_ISKL T2
                                  where :V_ZAP_DATE >= T2.D_NA and
                                        (:V_ZAP_DATE <= T2.D_KO or T2.D_KO is null))
             inner join FFIOV F on F.ID_REPORT = :V_IDR and
                   U.K_VR = F.SHFIOV
             inner join FYS2006 Z on Z.IDFYSMANUAL = :V_ID_FYSMANUAL and
                   U.K_USL_MZ = Z.KOD_US_MZ
             where S.MKOD = :V_MKL and
                   S.ID_STATTALON = :V_IDSTAT and
                   S.TERR = '1137' and
                   (U.PAID = 1) and
                   U.YET = 0 and
                   not(((Z.MKR = ' ' or Z.MKR = '  ') or (U.PTTRU = 1 and
                   :V_PRT = 1 and
                   Z.MKR = '1  '))) and
                   (F.SPEZ <> '001' and
                   F.SPEZ <> '039'))) then
    IS_POD = 1;
  suspend;
end
